opencv: cv::FernDescriptorMatcher Class Reference

Classes | Public Member Functions | Protected Member Functions | Protected Attributes

# cv::FernDescriptorMatcher Class Reference

`#include <features2d.hpp>`

Inheritance diagram for cv::FernDescriptorMatcher:

List of all members.

## Classes
class | Params
## Public Member Functions
virtual void | clear ()
virtual Ptr < GenericDescriptorMatcher > | clone (bool emptyTrainData=false) const
| FernDescriptorMatcher (const Params &params=Params())
virtual bool | isMaskSupported ()
virtual void | read (const FileNode &fn)
virtual void | train ()
virtual void | write (FileStorage &fs) const
virtual | ~FernDescriptorMatcher ()
## Protected Member Functions
void | calcBestProbAndMatchIdx (const Mat &image, const Point2f &pt, float &bestProb, int &bestMatchIdx, vector< float > &signature)
virtual void | knnMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, int k, const vector< Mat > &masks, bool compactResult)
virtual void | radiusMatchImpl (const Mat &queryImage, vector< KeyPoint > &queryKeypoints, vector< vector< DMatch > > &matches, float maxDistance, const vector< Mat > &masks, bool compactResult)
void | trainFernClassifier ()
## Protected Attributes
Ptr< FernClassifier > | classifier
Params | params
int | prevTrainCount

## Constructor & Destructor Documentation

cv::FernDescriptorMatcher::FernDescriptorMatcher | ( | const Params & | params = `Params()` ) |

virtual cv::FernDescriptorMatcher::~FernDescriptorMatcher | ( | ) | `[virtual]`

## Member Function Documentation

void cv::FernDescriptorMatcher::calcBestProbAndMatchIdx | ( | const Mat & | image,
|  | const Point2f & | pt,
|  | float & | bestProb,
|  | int & | bestMatchIdx,
|  | vector< float > & | signature
| ) |  | `[protected]`

virtual void cv::FernDescriptorMatcher::clear | ( | ) | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

virtual Ptr<GenericDescriptorMatcher> cv::FernDescriptorMatcher::clone | ( | bool | emptyTrainData = `false` ) | const`[virtual]`

Implements cv::GenericDescriptorMatcher.

virtual bool cv::FernDescriptorMatcher::isMaskSupported | ( | ) | `[virtual]`

Implements cv::GenericDescriptorMatcher.

virtual void cv::FernDescriptorMatcher::knnMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | int | k,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, virtual]`

Implements cv::GenericDescriptorMatcher.

virtual void cv::FernDescriptorMatcher::radiusMatchImpl | ( | const Mat & | queryImage,
|  | vector< KeyPoint > & | queryKeypoints,
|  | vector< vector< DMatch > > & | matches,
|  | float | maxDistance,
|  | const vector< Mat > & | masks,
|  | bool | compactResult
| ) |  | `[protected, virtual]`

Implements cv::GenericDescriptorMatcher.

virtual void cv::FernDescriptorMatcher::read | ( | const FileNode & | fn ) | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

virtual void cv::FernDescriptorMatcher::train | ( | ) | `[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

void cv::FernDescriptorMatcher::trainFernClassifier | ( | ) | `[protected]`

virtual void cv::FernDescriptorMatcher::write | ( | FileStorage & | fs ) | const`[virtual]`

Reimplemented from cv::GenericDescriptorMatcher.

## Member Data Documentation

Ptr<FernClassifier> cv::FernDescriptorMatcher::classifier`[protected]`

Params cv::FernDescriptorMatcher::params`[protected]`

int cv::FernDescriptorMatcher::prevTrainCount`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines